Bug 107624 - Relinking issue of Vulkan
Summary: Relinking issue of Vulkan
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-20 11:52 UTC by Sergii Romantsov
Modified: 2019-09-18 19:49 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergii Romantsov 2018-08-20 11:52:55 UTC
0. Ubuntu 16.04
1. Git master: 1560c58b121763a21de7f883724aaa10bf37297c

2. 'make install' fails for configuration:
./autogen.sh --with-gallium-drivers="" --enable-dri3 --with-dri-drivers=i965 --with-vulkan-drivers=intel

3. Also potentially may have influence:
1. Current system Ubuntu 16.04 libxcb-dri3 version is 1.11.1
2. To build mesa from master a version 1.13 is required
3. So xcb-dri3 is built manually and installed to custom directory.

4. Error dump:
~/dev/mesa/src/loader/loader_dri3_helper.c:1363: undefined reference to `xcb_dri3_pixmap_from_buffers'
~/dev/mesa/src/loader/loader_dri3_helper.c:1231: undefined reference to `xcb_dri3_get_supported_modifiers'
~/dev/mesa/src/loader/loader_dri3_helper.c:1234: undefined reference to `xcb_dri3_get_supported_modifiers_reply'
~/dev/mesa/src/loader/loader_dri3_helper.c:1249: undefined reference to `xcb_dri3_get_supported_modifiers_window_modifiers'
~/dev/mesa/src/loader/loader_dri3_helper.c:1270: undefined reference to `xcb_dri3_get_supported_modifiers_screen_modifiers'
./.libs/libglx.a(loader_dri3_helper.o): In function `loader_dri3_create_image_from_buffers':
~/dev/mesa/src/loader/loader_dri3_helper.c:1591: undefined reference to `xcb_dri3_buffers_from_pixmap_reply_fds'
~/dev/mesa/src/loader/loader_dri3_helper.c:1592: undefined reference to `xcb_dri3_buffers_from_pixmap_strides'
~/dev/mesa/src/loader/loader_dri3_helper.c:1593: undefined reference to `xcb_dri3_buffers_from_pixmap_offsets'
./.libs/libglx.a(loader_dri3_helper.o): In function `dri3_get_pixmap_buffer':
~/dev/mesa/src/loader/loader_dri3_helper.c:1675: undefined reference to `xcb_dri3_buffers_from_pixmap'
~/dev/mesa/src/loader/loader_dri3_helper.c:1676: undefined reference to `xcb_dri3_buffers_from_pixmap_reply'
collect2: error: ld returned 1 exit status
libtool:   error: error: relink 'libGL.la' with the above command before installing it
Comment 1 Sergii Romantsov 2018-08-20 11:54:51 UTC
Patch: https://patchwork.freedesktop.org/patch/245255/
Comment 2 Denis 2018-08-27 12:30:18 UTC
hi, looks like patch helped for me.

upd - you need to install from source 2 packages - xcb-proto 1.13 and libxcb 1.13 for successful installation.
uupd - one more patch should be applied also => https://patchwork.freedesktop.org/patch/244821/
Comment 3 Sergii Romantsov 2018-09-11 10:38:06 UTC
Additional case as 'fix':
libloader_la_LIBADD += \
    $(LIBDRM_LIBS) $(XCB_DRI3_LIBS)
Comment 4 GitLab Migration User 2019-09-18 19:49:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/838.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.